package utilities;

import java.util.Locale;
import java.util.Scanner;

public class InputValue {
	private static final Scanner scanner = new Scanner(System.in);

	static {
		Locale.setDefault(Locale.US);
//		System.out.println("Locale set");
	}

	public static int getInt(String prompt) {
		System.out.print("Enter " + prompt + ": ");
		return scanner.nextInt();
	}

	public static double getDouble(String prompt) {
		System.out.print("Enter " + prompt + ": ");
		return scanner.nextDouble();
	}

	public static String getString(String prompt) {
		System.out.print("Enter " + prompt + ": ");
		return scanner.next();
	}

	public static Double getDoubleOrNull(String prompt) {
		System.out.print("Enter " + prompt + ": ");
		return scanner.hasNextDouble() ? scanner.nextDouble() : null;
	}
}
