package utilities;

import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ThreadLocalRandom;

public class ThreadHelperMethods {

	public static void safeSleepFor(int millis) {
		try {
			Thread.sleep(millis);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

	public static void safeSleep (int millis) {
		try {
			Thread.sleep(ThreadLocalRandom.current().nextInt(millis));
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

	public static void safeSleep (int origin, int millis) {
		try {
			Thread.sleep(ThreadLocalRandom.current().nextInt(origin, millis));
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

	public static void awaitCountDownLatch(CountDownLatch countDownLatch) {
		try {
			countDownLatch.await(); // wait for all threads to complete
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

	public static void safeJoin (Thread thread) {
		try {
			thread.join();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
